org.gradle.api.tasks

## Interface TaskFilePropertyBuilder

- All Superinterfaces:
    TaskPropertyBuilder
  All Known Subinterfaces:
    TaskInputFilePropertyBuilder, TaskOutputFilePropertyBuilder

      @Incubating
      public interface TaskFilePropertyBuilder
      extends TaskPropertyBuilder

  Describes a property of a task that contains zero or more files.
  Since:
    3.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskFilePropertyBuilder` | `withPathSensitivity(PathSensitivity sensitivity)` Sets which part of the path of files should be considered during up-to-date checks.

    - ### Methods inherited from interface org.gradle.api.tasks.TaskPropertyBuilder

      `withPropertyName`

- - ### Method Detail

    - #### withPathSensitivity

          TaskFilePropertyBuilder withPathSensitivity(PathSensitivity sensitivity)

      Sets which part of the path of files should be considered during up-to-date checks.
      Since:
        3.1